MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024033Community[OCCT] OCCT:Modeling Algorithmspublic2013-06-18 02:332013-12-19 13:56
ReporterHayashi 
Assigned Toemv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024033: All the orientation as a result of BRepAlgoAPI_Common is set to INTERNAL
Descriptionpload ALL
polyline f1 0 0 0 0 1 0 1 1 0 1 0 0 0 0 0
mkplane f1 f1
polyline f2 0 1 0 0 2 0 1 2 0 1 1 0 0 1 0
mkplane f2 f2
polyline f3 0 2 0 0 3 0 1 3 0 1 2 0 0 2 0
mkplane f3 f3

polyline f4 1 0 0 1 1 0 2 1 0 2 0 0 1 0 0
mkplane f4 f4
polyline f5 1 1 0 1 2 0 2 2 0 2 1 0 1 1 0
mkplane f5 f5
polyline f6 1 2 0 1 3 0 2 3 0 2 2 0 1 2 0
mkplane f6 f6

polyline f7 2 0 0 2 1 0 3 1 0 3 0 0 2 0 0
mkplane f7 f7
polyline f8 2 1 0 2 2 0 3 2 0 3 1 0 2 1 0
mkplane f8 f8
polyline f9 2 2 0 2 3 0 3 3 0 3 2 0 2 2 0
mkplane f9 f9


sewing s f1 f2 f3 f4 f5 f6 f6 f7 f8 f9

box b -1 1 -1 2 1 2

bop s b
bopcommon r
explode r
explode r_1
whatis r_1_1
explode r_1_1 e
whatis r_1_1_1
explode r_1_1 v
whatis r_1_1_1
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24033
Attached Files

- Relationships

-  Notes
(0024919)
emv (developer)
2013-07-01 08:42

Git branch CR24033 is ready to be reviewed.
(0024922)
ifv (developer)
2013-07-01 10:34

Ok
(0024942)
mkv (tester)
2013-07-02 14:25

Dear BugMaster,

Branch CR24033 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: f184519011ba8c7d1920a7c1916d741980e774ff

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs modalg_5(010) bug24033 - OK.

Testing on Linux:
Total MEMORY difference: 366269784 / 366290292
Total CPU difference: 44497.330000001144 / 43406.72000000102

Testing on Windows:
Total MEMORY difference: 423274960 / 424082352
Total CPU difference: 32563.53125 / 44235.125

There are not differences in images found by testdiff.

- Related Changesets
occt: master 093bfc49
Timestamp: 2013-07-04 10:23:22
Author: emv
Details ] Diff ]
0024033: All the orientation as a result of BRepAlgoAPI_Common is set to INTERNAL

Dimension of the shapes is used in the condition of choosing the shape to take parts of it in the common.
Adding test case for this fix
mod - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24033 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-18 02:33 Hayashi New Issue
2013-06-18 02:33 Hayashi Assigned To => ifv
2013-06-27 11:40 ifv Assigned To ifv => emv
2013-07-01 08:42 emv Note Added: 0024919
2013-07-01 08:42 emv Assigned To emv => ifv
2013-07-01 08:42 emv Status new => resolved
2013-07-01 10:34 ifv Note Added: 0024922
2013-07-01 10:34 ifv Status resolved => reviewed
2013-07-01 11:59 mkv Assigned To ifv => mkv
2013-07-02 14:25 mkv Note Added: 0024942
2013-07-02 14:26 mkv Test case number => bugs modalg_5(010) bug24033
2013-07-02 14:26 mkv Assigned To mkv => bugmaster
2013-07-02 14:26 mkv Status reviewed => tested
2013-07-02 15:56 apn Target Version => 6.7.0
2013-07-05 11:57 emv Changeset attached => occt master 093bfc49
2013-07-05 11:57 emv Assigned To bugmaster => emv
2013-07-05 11:57 emv Status tested => verified
2013-07-05 11:57 emv Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:56 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker